> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codegen.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Users

> Get users for the specified organization.

Returns a paginated list of all users that belong to the specified organization.
Results include user details such as name, email, GitHub username, and avatar.
Use pagination parameters to control the number of results returned.

Rate limit: 60 requests per 30 seconds.



## OpenAPI

````yaml api-reference/openapi3.json get /v1/organizations/{org_id}/users
openapi: 3.1.0
info:
  title: Developer API
  description: API for application developers
  version: 1.0.0
servers:
  - url: https://api.codegen.com
    description: Codegen API
security: []
paths:
  /v1/organizations/{org_id}/users:
    get:
      tags:
        - users
        - users
        - users
      summary: Get Users
      description: >-
        Get users for the specified organization.


        Returns a paginated list of all users that belong to the specified
        organization.

        Results include user details such as name, email, GitHub username, and
        avatar.

        Use pagination parameters to control the number of results returned.


        Rate limit: 60 requests per 30 seconds.
      operationId: get_users_v1_organizations__org_id__users_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: integer
            title: Org Id
        - name: skip
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Skip
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Limit
        - name: authorization
          in: header
          required: false
          schema:
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Page_UserResponse_'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PermissionsErrorResponse'
          description: Forbidden
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIRateLimitErrorResponse'
          description: Too Many Requests
components:
  schemas:
    Page_UserResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/UserResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        size:
          type: integer
          title: Size
        pages:
          type: integer
          title: Pages
      type: object
      required:
        - items
        - total
        - page
        - size
        - pages
      title: Page[UserResponse]
    PermissionsErrorResponse:
      properties:
        message:
          type: string
          title: Message
          default: You do not have access to this organization.
        status_code:
          type: integer
          title: Status Code
          default: 403
      type: object
      title: PermissionsErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    APIRateLimitErrorResponse:
      properties:
        message:
          type: string
          title: Message
          default: Rate limit exceeded. Please try again later.
        status_code:
          type: integer
          title: Status Code
          default: 429
      type: object
      title: APIRateLimitErrorResponse
    UserResponse:
      properties:
        id:
          type: integer
          title: Id
          description: Unique user ID
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: User's email address
        github_user_id:
          type: string
          title: Github User Id
          description: GitHub user ID
        github_username:
          type: string
          title: Github Username
          description: GitHub username
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
          description: URL to user's avatar image
        full_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Full Name
          description: User's full name
        role:
          anyOf:
            - type: string
            - type: 'null'
          title: Role
          description: User's role in the organization (ADMIN, MANAGER, MEMBER)
        is_admin:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Admin
          description: Whether the user is an admin (deprecated, use role instead)
      type: object
      required:
        - id
        - github_user_id
        - github_username
      title: UserResponse
      description: Represents a user in API responses
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````